Bug 1295502 - Changing of task type does not trigger Save dialogue
Summary: Changing of task type does not trigger Save dialogue
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer   
(Show other bugs)
Version: 6.2.0
Hardware: All
OS: All
high
high
Target Milestone: DR1
: 6.3.0
Assignee: Tihomir Surdilovic
QA Contact: Kirill Gaevskii
URL:
Whiteboard:
Keywords: Regression
Depends On: 1283135
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-04 17:39 UTC by Alessandro Lazarotti
Modified: 2016-02-10 13:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1283135
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alessandro Lazarotti 2016-01-04 17:39:19 UTC
+++ This bug was initially created as a clone of Bug #1283135 +++

Description of problem:
If you will open existing project and change type task with shape menu you can't save Business Process without other changes (to move something and so on). Changing throw properties bar works as expected. (see Attachment).

Version-Release number of selected component (if applicable):
6.2.CR1

How reproducible:
always

Steps to Reproduce:
1. Open existing Business Process with some tasks
2. Change it type with shape menu
3. Try to save Business Process

Actual results:
"Process have no changes" dialogue will be shown

Expected results:
You can save your changes in Business Process

Additional info:

--- Additional comment from Tihomir Surdilovic on 2015-11-19 13:47:24 EST ---

master pr : https://github.com/droolsjbpm/jbpm-designer/pull/90

--- Additional comment from Tihomir Surdilovic on 2015-11-19 13:59:00 EST ---

6.3.x pr : https://github.com/droolsjbpm/jbpm-designer/pull/91

--- Additional comment from Tihomir Surdilovic on 2015-12-03 10:00:50 EST ---

master: https://github.com/droolsjbpm/jbpm-designer/commit/ffa91fe9efde0de81405dee0a3095e9121a84913
6.3.x commit still pending

Comment 2 Kirill Gaevskii 2016-02-10 13:53:34 UTC
Verified for 6.3.0 DR1


Note You need to log in before you can comment on or make changes to this bug.